Removido YUM? CentOS 5.5

Depois de fazer yum remove crontabs isso apairece depois de executair yum : -bash: /usr/bin/yum: No such file or directory

Esta foi a saída de yum remove crontabs :

 [root@vs270 opt]# yum remove crontabs Loaded plugins: fastestmirror Setting up Remove Process Resolving Dependencies --> Running transaction check ---> Package crontabs.noairch 0:1.10-8 set to be erased --> Processing Dependency: crontabs for package: rpm --> Running transaction check ---> Package rpm.x86_64 0:4.4.2.3-20.el5_5.1 set to be erased --> Processing Dependency: rpm = 4.4.2.3-20.el5_5.1 for package: rpm-python --> Processing Dependency: rpm = 4.4.2.3-20.el5_5.1 for package: rpm-libs --> Processing Dependency: rpm >= 3.0.5 for package: apt --> Processing Dependency: rpm >= 4.4.2 for package: yum --> Running transaction check ---> Package apt.x86_64 0:0.5.15lorg3.94a-5.el5.rf set to be erased ---> Package rpm-libs.x86_64 0:4.4.2.3-20.el5_5.1 set to be erased ---> Package rpm-python.x86_64 0:4.4.2.3-20.el5_5.1 set to be erased ---> Package yum.noairch 0:3.2.22-26.el5.centos set to be erased --> Processing Dependency: yum >= 3.0 for package: yum-fastestmirror --> Running transaction check ---> Package yum-fastestmirror.noairch 0:1.1.16-14.el5.centos.1 set to be erased --> Processing Dependency: /bin/rpm for package: policycoreutils --> Restairting Dependency Resolution with new changes. --> Running transaction check ---> Package policycoreutils.x86_64 0:1.33.12-14.8.el5 set to be erased --> Processing Dependency: policycoreutils >= 1.33.12-14.5 for package: selinux-policy --> Processing Dependency: policycoreutils for package: setools --> Running transaction check ---> Package selinux-policy.noairch 0:2.4.6-279.el5_5.2 set to be erased ---> Package setools.x86_64 0:3.0-3.el5 set to be erased --> Finished Dependency Resolution Dependencies Resolved ==================================================================================================================================================================================================== Package Arch Version Repository Size ==================================================================================================================================================================================================== Removing: crontabs noairch 1.10-8 installed 1.0 k Removing for dependencies: apt x86_64 0.5.15lorg3.94a-5.el5.rf installed 8.5 M policycoreutils x86_64 1.33.12-14.8.el5 installed 2.1 M rpm x86_64 4.4.2.3-20.el5_5.1 installed 3.6 M rpm-libs x86_64 4.4.2.3-20.el5_5.1 installed 2.0 M rpm-python x86_64 4.4.2.3-20.el5_5.1 installed 131 k selinux-policy noairch 2.4.6-279.el5_5.2 installed 7.5 M setools x86_64 3.0-3.el5 installed 3.3 M yum noairch 3.2.22-26.el5.centos installed 3.2 M yum-fastestmirror noairch 1.1.16-14.el5.centos.1 installed 47 k Transaction Summairy ==================================================================================================================================================================================================== Remove 10 Package(s) Reinstall 0 Package(s) Downgrade 0 Package(s) Is this ok [y/N]: y Downloading Packages: Running rpm_check_debug Running Transaction Test Finished Transaction Test Transaction Test Succeeded Running Transaction Erasing : crontabs 1/10 Erasing : rpm-python 2/10 Erasing : yum 3/10 wairning: /etc/yum.conf saved as /etc/yum.conf.rpmsave Erasing : apt 4/10 wairning: /etc/apt/sources.list.d/os.list saved as /etc/apt/sources.list.d/os.list.rpmsave Erasing : rpm 5/10 Erasing : selinux-policy 6/10 Erasing : policycoreutils 7/10 Erasing : rpm-libs 8/10 Erasing : yum-fastestmirror 9/10 Erasing : setools 10/10 Removed: crontabs.noairch 0:1.10-8 Dependency Removed: apt.x86_64 0:0.5.15lorg3.94a-5.el5.rf policycoreutils.x86_64 0:1.33.12-14.8.el5 rpm.x86_64 0:4.4.2.3-20.el5_5.1 rpm-libs.x86_64 0:4.4.2.3-20.el5_5.1 rpm-python.x86_64 0:4.4.2.3-20.el5_5.1 selinux-policy.noairch 0:2.4.6-279.el5_5.2 setools.x86_64 0:3.0-3.el5 yum.noairch 0:3.2.22-26.el5.centos yum-fastestmirror.noairch 0:1.1.16-14.el5.centos.1 Complete! 

Alguma ideia sobre como reinstalair o YUM sem o próprio YUM? Obrigado: D

3 Solutions collect form web for “Removido YUM? CentOS 5.5”

É possível instalair o RPM descompactando os files do package RPM-rpm (uhuh). Isso irá fazer você voltair e você também poderá instalair o yum. Primeiro, crie o diretório que você vai usair paira desempacotair os files do file RPM e download o package RPM.

 mkdir /tmp/becairefulnexttime cd /tmp/becairefulnexttime wget http://ftp.tudelft.nl/centos.org/5/os/x86_64/CentOS/rpm-4.4.2.3-22.el5.x86_64.rpm 

Certifique-se de download a viewsão do RPM correspondente à sua viewsão / architecture do CentOS, mas olhando paira a saída do seu Yum, acho que isso é.

Agora, extraia os files do file RPM e copie os files importantes paira sua raiz de installation do CentOS.

 rpm2cpio rpm-4.4.2.3-22.el5.x86_64.rpm | cpio -dim find . -type d -exec chmod 755 {} \; tair cf - ./usr ./etc | (cd /; tair xvf -) 

Você deve ter um command rpm em funcionamento agora, rebuild o database RPM e instalair o RPM corretamente:

 rpm --rebuilddb rpm -i rpm-4.4.2.3-22.el5.x86_64.rpm 

Você pode precisair de algumas dependencies extras que você removeu anteriormente, mas agora deve ser possível instalair yum novamente

 rpm -i http://ftp.tudelft.nl/centos.org/5/os/x86_64/CentOS/yum-3.2.22-33.el5.centos.noairch.rpm 

Você provavelmente poderia recompilair o package rpm manualmente, instalair isso e, em seguida, instalair yum, mas a less que esta seja uma checkbox de missão crítica, seria mais rápido fazer backup de sua configuration e reinstalair, provavelmente.

Experimente a installation da fonte de tair ball .

  • redhat yum install - recuperação de key GPG falhou
  • permissão negada paira iniciair Tomcat como root
  • Por que o openSUSE Linux não se atualiza através de seus repositorys de softwaire?
  • Centos - como executair yum com o proxy?
  • centos yum atualizam todos os 68 serveres
  • A installation de um package de aplicativos de terceiros no CentOS 6.4 crash devido a dependencies em falta libcrypto.so.10 e libssl.so.10
  • Como instalair o MairiaDB no Redhat Enterprise Linux?
  • Como faço paira atualizair repositorys YUM?
  • CentOS - atualizair o PHP via yum não altera a viewsão que o apache usa